- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_socket_t

# mongoc_socket_bind()

## Synopsis

    int
    mongoc_socket_bind (mongoc_socket_t *sock,
                        const struct sockaddr *addr,
                        mongoc_socklen_t addrlen);

## Parameters

- `sock`: A mongoc_socket_t.
- `addr`: A struct sockaddr.
- `addrlen`: A mongoc_socklen_t.

## Description

This function is a wrapper around the BSD socket `bind()` interface. It provides better portability between UNIX-like and Microsoft Windows platforms.

## Returns

0 on success, -1 on failure and errno is set.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.